## banshee-community-extensions 2.0.0

=== debian/changelog ===
banshee-community-extensions (2.0.0-1ubuntu1) natty; urgency=low

  * [36d8c92] Merge from Debian Unstable, remaining changes:
    + Enable LIRC and AppIndicator extensions
  * [11e40ce] Drop explicit banshee depends from -lirc

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 07 Apr 2011 00:11:26 +0800

banshee-community-extensions (2.0.0-1) unstable; urgency=low

  * [b1cf183] New upstream release
    + Lyrics: Improve writing lyrics to the cache
    + i18n: Update translations from transifex
  * [5ca7849] Drop explicit Banshee depends from -clutterflow

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 07 Apr 2011 00:00:13 +0800

banshee-community-extensions (1.9.6-1ubuntu1) natty; urgency=low

  * [ceb501c] Merge from Debian Unstable, remaining changes:
    + Enable LIRC and AppIndicator extensions

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 11 Mar 2011 22:21:22 +0800

banshee-community-extensions (1.9.6-1) unstable; urgency=low

  * [9bb7ba5] New upstream release:
    + Enhancements:
      * Jamendo: Allow cancelling downloads
      * Karaoke: Use youtubelyric.com for optional scrolling lyrics display
    + Bugs Fixed:
      * ClutterFlow: Handle horizontal scrolling properly (bgo#644609)
      * Streamrecorder: Fix recording of some streams (bgo#642933)
  * [7075073] Disable dh_makeclilibs in bce
  * [5f80d8d] Fix URL in debian/watch
  * [34f0c48] Handle rename of banshee-1 to banshee
  * [fe96e39] Bump banshee build-dep version

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 27 Mar 2011 04:32:23 +0800

banshee-community-extensions (1.9.5-1ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + Enable LIRC and AppIndicator extensions

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 11 Mar 2011 22:21:22 +0800

banshee-community-extensions (1.9.5-1) unstable; urgency=low

  * [aea54e9] New upstream release:
    + Enhancements:
      - Karaoke: added a new extension to filter out the singers voice
    + Bugs Fixed:
      - LastfmFingerprint: Fix some exceptions
      - Fix missing unique IDs in several extension sources
      - Lirc: Fix potential memory issues
      - Lyrics: Fix NullPointerException when artist is unknown
  * [27bfc37] Update debian/copyright
  * [2ee2a15] Fix spelling errors in description of lastfm
  * [3a7a674] Add banshee-extension-karaoke
  * [edcfa51] Drop upstreamed lirc memleak and ampache unicode patches

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 11 Mar 2011 21:50:31 +0800

banshee-community-extensions (1.9.3-1ubuntu1) natty; urgency=low

  * [a5570d7] Merge from Debian Experimental, remaining changes:
    + Enable LIRC and AppIndicator extensions

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 01 Mar 2011 01:54:03 +0800

banshee-community-extensions (1.9.3-1) unstable; urgency=low

  * [2d6dcff] New upstream release:
    + Enhancements:
      - AlarmClock: Improve the sleep timer configuration
      - LastfmFingerprint: Only show the authentication dialog once per run
      - LiveRadio: Add a module to fetch radio stations from RealRadios.com
    + Bugs Fixed:
      - AlarmClock: Fix sleep timer fade out duration (bgo#634200)
      - LastfmFingerprint: Update display when saving track (bgo#639721)
      - LiveRadio: Fix crash when retrieving source icon (bgo#640152)
      - LiveRadio: Fix display of the source icon
      - Lyrics: Don't use lyricsplugin.com anymore (bgo#640570)
      - Magnatune: Fix display of the source icon
      - Fail to build against Banshee 1.9.3 (Closes: 614539)
  * [8c2d573] Use correct unicode escape in fix-ampache-unicode.patch
  * [cb02092] Patch to fix compiler warning and some memory issues in Lirc

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 20 Feb 2011 16:48:42 +0800

banshee-community-extensions (1.9.2-1ubuntu1) UNRELEASED; urgency=low

  * Merge from Debian experimental, remaining changes:
    + Enable LIRC and AppIndicator extensions

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 14 Jan 2011 01:58:33 +0800

banshee-community-extensions (1.9.2-1) UNRELEASED; urgency=low

  * [280f6c6] Enable Clutterflow
  * [8dad0b7] Enable ZeitgeistDataProvider
  * [f568c69] New upstream release:
    + Enhancements:
      - [LastfmFingerprint] Add authentication support
      - [Lyrics] Improve performance
    + Bugs fixed:
      - [StreamRecorder] Fix write error by creating output directory if needed
      - [AlarmClock] Don't start playing if the alarm is disabled (bgo#637481)
  * [23d597e] Drop src/Jamendo/ThemeIcons/* from debian/copyright

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 19 Jan 2011 22:03:57 +0800

banshee-community-extensions (1.9.1-1ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    + Enable LIRC and AppIndicator extensions

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 26 Dec 2010 17:09:32 +0800

banshee-community-extensions (1.9.1-1) experimental; urgency=low

  [ Chow Loong Jin ]
  * debian/control: Add Enhances: banshee to all extension packages
    (LP: #629532)
  * [28fde95] Drop copyright entries for soundmenu and u1ms
  * [fbb88b5] Add Jamendo and ZeitgeistDP copyright entries
  * [b50ae88] Drop U1MS install file
  * [cd5cbff] Drop trailing , from last recommends of bce

  [ Iain Lane ]
  * [f8f664d] Imported Upstream version 1.9.1
    + New extensions:
     - [Jamendo] Browse the Jamendo catalog, stream and download free music
     - [ZeitgeistDataprovider] Publish your Banshee activities into Zeitgeist
    + Enhancements:
     - [LastfmFingerprint] Correct more information : album name, track
       number, etc.
     - [build] Various build/unit test fixes
    + Bugs Fixed:
     - [Ampache] Improve handling of large libraries (bgo#636069)
     - [Ampache] Reduce the initial load time by loading songs on demand
       (bgo#636041)
     - [LastfmFingerprint] Fix NRE when fingerprint request times out
       (bgo#635899)
     - [Lirc] Add a dllmap for lirc_client (bgo#635848)

