=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cli-common/cli.make

BANSHEE_VERSION = $(shell pkg-config --modversion banshee-thickclient)

# disable zeitgeistdataprovider and lirc due to dependencies missing
override_dh_auto_configure:
	dh_auto_configure -- \
		--with-vendor-build-id="`lsb_release -ds`" \
		--enable-gnome \
		--enable-schemas-install \
		--enable-alarmclock \
		--enable-ampache \
		--enable-appindicator \
		--enable-awn \
		--enable-clutterflow \
		--enable-coverwallpaper \
		--enable-jamendo \
		--enable-karaoke \
		--enable-lastfmfingerprint \
		--enable-lcd \
		--enable-lirc \
		--enable-lyrics \
		--enable-liveradio \
		--enable-magnatune \
		--enable-mirage \
		--enable-openvp \
		--enable-radiostationfetcher \
		--enable-randombylastfm \
		--enable-streamrecorder \
		--enable-telepathy \
		--enable-zeitgeistdataprovider \
		--disable-shave \
		--enable-user-help \
		MCS=/usr/bin/mono-csc

override_dh_gencontrol:
	for pkg in `sed -n 's/^Package: //p' debian/control`; do \
		echo "banshee:Version=$(BANSHEE_VERSION)" >> debian/$$pkg.substvars; \
	done
	dh_gencontrol

override_dh_makeclilibs:		# do nothing -- we do not want clilibs to come
                                # from anything, and especially not clutterflow.

%:
	dh $@
