=== debian/watch ===
version=3
http://download.banshee.fm/banshee-community-extensions/(\d\.\d\.\d)/banshee-community-extensions-(\d\.\d\.\d)\.tar\.gz
