## banshee-community-extensions 2.0.1

=== debian/changelog ===
banshee-community-extensions (2.0.1-2) unstable; urgency=low

  * [09b59ed] Bump banshee build-dep for dbus#
  * [e468baa] Cherry-pick port to DBus#
  * [bf2d84e] Add autogen
  * [7025c67] Change build-deps for dbus# port

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 10 Jul 2011 10:08:08 +0100

banshee-community-extensions (2.0.1-1) unstable; urgency=low

  * [c02b8fd] Move over to bz2 in debian/watch
  * [536b6d6] New upstream bugfix release:
    + ClutterFlow: Fix NRE crash (bgo#647134)
    + Karaoke: add an gst_init() call to make sure gstreamer is working
    + Karaoke: fix NRE on dispose if audiokaraoke was not found
    + LastfmFingerprint: Don't strdup strings
    + LastfmFingerprint: Fix empty name exception (bgo#648168, LP: #765420)
    + Lirc: Drop liblirc_client.so moduleref (LP: #773686)
    + LiveRadio: Re-enable ShoutCast with request structure from
      RadioStationFetcher
    + Lyrics: Always update pane title when track changes (bgo#647108)
    + RadioStationFetcher: Updated the shoutcast plugin to fix the IP address
    + ZeitgeistDataprovider: Register dataprovider in DataSource
      Registry (LP: #691842)
    + ZeitgeistDataprovider: Differenciate between ScheduledActivity and
      UserActivity (LP: #748120)
  * [2eab2a8] Drop useless libtool and a files from binaries (Closes: #621270)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 05 May 2011 06:59:58 +0800

banshee-community-extensions (2.0.0-2) unstable; urgency=low

  * [44303f2] Add Enhances: banshee to b-c-e (LP: #758526)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 27 Apr 2011 22:55:21 +0800

banshee-community-extensions (1.7.6-1) UNRELEASED; urgency=low

  * New upstream release
    + Enhancements:
      - [Lyrics] Add a Copy button to the lyrics window
      - [Lyrics] Fix up the label in LyricsPane
      - [Lyrics] Use Banshee.WebBrowser instead of webkit-sharp
    + Bugs Fixed:
      - [build] Bring gnome-doc-utils autofoo into the tree
      - [Lyrics] Detect a false positive from lyricsplugin.com
      - [Lyrics] Fixed LyricsWiki source
      - [U1MS] Set a TypeUniqueId for the source (bgo#626965)
  * Change section from gnome to sound
  * Imported Upstream version 1.7.6
  * Drop webkit# build-dep
  * Bump Banshee build-dep version and loosen binary-dep version
  * Switch banshee dep with banshee-extensions-common in metapackage

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 18 Sep 2010 03:35:36 +0800
