=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: banshee-community-extensions
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
+Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Chow Loong Jin <hyperair@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
+               dh-autoreconf,
+               libgconf2-dev,
                cli-common-dev (>= 0.5.7),
                mono-devel (>= 2.4.2.3),
                autotools-dev,
                lsb-release,
-               banshee (>= 1.9.6),
+               banshee (>= 2.0.1-2~),
                pkg-config,
-               liblircclient-dev (>= 0.8.6),
                libglib2.0-dev,
                libfftw3-dev,
                libsqlite3-dev (>= 3.3),
@@ -23,11 +23,10 @@
                libglib2.0-cil-dev,
                libgtk2.0-cil-dev,
                libtaglib-cil-dev,
-               libndesk-dbus-glib1.0-cil-dev,
-               libndesk-dbus1.0-cil-dev,
+               libdbus-glib1.0-cil-dev,
+               libdbus1.0-cil-dev,
                libmono-addins-cil-dev,
                libnotify-cil-dev,
-               libappindicator0.1-cil-dev,
                libtaoframework-opengl-cil-dev (>= 2.1),
                libtaoframework-freeglut-cil-dev,
                libtaoframework-sdl-cil-dev (>= 1.2.13),
@@ -43,16 +42,15 @@
 
 Package: banshee-community-extensions
 Architecture: all
+Enhances: banshee
 Recommends: banshee-extension-alarm (>= ${source:Version}),
             banshee-extension-ampache (>= ${source:Version}),
-            banshee-extension-appindicator (>= ${source:Version}),
             banshee-extension-awn (>= ${source:Version}),
             banshee-extension-coverwallpaper (>= ${source:Version}),
             banshee-extension-clutterflow (>= ${source:Version}),
             banshee-extension-jamendo (>= ${source:Version}),
             banshee-extension-lastfmfingerprint (>= ${source:Version}),
             banshee-extension-lcd (>= ${source:Version}),
-            banshee-extension-lirc (>= ${source:Version}),
             banshee-extension-liveradio (>= ${source:Version}),
             banshee-extension-lyrics (>= ${source:Version}),
             banshee-extension-magnatune (>= ${source:Version}),
@@ -105,17 +103,6 @@
  .
  Banshee is a media management and playback application for the GNOME desktop
 
-Package: banshee-extension-appindicator
-Architecture: all
-Depends: banshee-extensions-common (= ${source:Version}),
-         ${cli:Depends}, ${misc:Depends}
-Description: Application Indicator extension for Banshee
- This package provides integration for Banshee with Application Indicators,
- which is a replacement for the notification area in Ubuntu, as a way to add
- menus in the panel.
- .
- Banshee is a media management and playback application for the GNOME desktop.
-
 Package: banshee-extension-awn
 Enhances: banshee
 Architecture: all
@@ -194,17 +181,6 @@
 Description: LCD display integration extension for Banshee
  This package provides integration with LCD displays for Banshee using the
  lcdproc display driver daemon.
- .
- Banshee is a media management and playback application for the GNOME desktop.
-
-Package: banshee-extension-lirc
-Architecture: any
-Depends: banshee-extensions-common (= ${source:Version}),
-         lirc,
-         ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
-Description: LIRC integration extension for Banshee
- This package provides LIRC integration for Banshee, which will allow Banshee to
- be controlled using an infra-red device.
  .
  Banshee is a media management and playback application for the GNOME desktop.
 
@@ -280,3 +256,31 @@
          ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
 Description: visualizations extension for Banshee
  This package contains an extension for Banshee which adds various
+ visualizations to the Now Playing source in Banshee.
+ .
+ Banshee is a media management and playback application for the GNOME desktop.
+
+Package: banshee-extension-radiostationfetcher
+Enhances: banshee
+Architecture: all
+Depends: banshee-extensions-common (= ${source:Version}),
+         ${cli:Depends}, ${misc:Depends}
+Description: radio station fetcher extension for Banshee
+ This package contains an extension for Banshee which adds radio station
+ fetching functionality for Banshee. Radio stations are fetched from:
+  * http://www.shoutcast.com
+  * http://www.xiph.org
+ .
+ Banshee is a media management and playback application for the GNOME desktop.
+
+Package: banshee-extension-randombylastfm
+Enhances: banshee
+Architecture: all
+Depends: banshee-extensions-common (= ${source:Version}),
+         ${cli:Depends}, ${misc:Depends}
+Description: Random By Last.FM extension for Banshee
+ This package provide additional integration between Last.FM and Banshee,
+ providing a new random mode which queries Last.FM for a list of similar artists
+ to the song you are currently playing, then compares that list with your
+ library to pick only artists that match.
+ .
