=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 		--enable-schemas-install \
 		--enable-alarmclock \
 		--enable-ampache \
-		--enable-appindicator \
+		--disable-appindicator \
 		--enable-awn \
 		--enable-clutterflow \
 		--enable-coverwallpaper \
@@ -21,7 +21,7 @@
 		--enable-karaoke \
 		--enable-lastfmfingerprint \
 		--enable-lcd \
-		--enable-lirc \
+		--disable-lirc \
 		--enable-lyrics \
 		--enable-liveradio \
 		--enable-magnatune \
@@ -36,6 +36,10 @@
 		--enable-user-help \
 		MCS=/usr/bin/mono-csc
 
+override_dh_auto_install:
+	dh_auto_install
+	find debian/tmp -name '*.la' -o -name '*.a' -delete
+
 override_dh_gencontrol:
 	for pkg in `sed -n 's/^Package: //p' debian/control`; do \
 		echo "banshee:Version=$(BANSHEE_VERSION)" >> debian/$$pkg.substvars; \
@@ -45,5 +49,14 @@
 override_dh_makeclilibs:		# do nothing -- we do not want clilibs to come
                                 # from anything, and especially not clutterflow.
 
+override_dh_autoreconf: autogen.sh
+	NOCONFIGURE=1 dh_autoreconf ./autogen.sh --
+
+autogen.sh: debian/autogen.sh
+	ln -s $< $@
+
+clean:
+	rm -f autogen.sh
+
 %:
-	dh $@
+	dh $@ --with=autoreconf
