## banshee-community-extensions 2.1.1

=== debian/changelog ===
banshee-community-extensions (2.1.1-2) experimental; urgency=low

  * No-change rebuild vs. new zeitgeist-sharp ABI 

 -- Iain Lane <laney@debian.org>  Fri, 17 Jun 2011 15:31:08 +0100

banshee-community-extensions (2.1.1-1) experimental; urgency=low

  * [39d331d] Fix pushd usage inside Makefile
  * [2b7eac6] Imported Upstream version 2.1.1:
    + Enhancements since 2.0.0:
      - Use dbus-sharp instead of ndesk-dbus. The Telepathy extension does not
        bundle the ndesk-dbus sources anymore.
      - ClutterFlow: Major refactoring and code cleanup, for better readability.
    + Notable bugs fixed since 2.0.0:
      - ClutterFlow: Fix NRE crash (bgo#647134)
      - Karaoke: add an gst_init() call to make sure gstreamer is working
      - Karaoke: fix NRE on dispose if audiokaraoke was not found
      - LastfmFingerprint: Don't strdup strings
      - LastfmFingerprint: Fix empty name exception (bgo#648168)
      - Lirc: Drop liblirc_client.so moduleref (LP: #773686)
      - LiveRadio: Re-enable ShoutCast with request structure from
        RadioStationFetcher
      - Lyrics: Always update pane title when track changes (bgo#647108)
      - RadioStationFetcher: Updated the shoutcast plugin to fix the IP address
      - ZeitgeistDataprovider: Register dataprovider in DataSource Registry
        (LP: #691842)
      - ZeitgeistDataprovider: Differenciate between ScheduledActivity and
        UserActivity (LP: #748120)
  * [b28fd78] Drop upstreamed patches
  * Fix unresolved modulerefs with cli-common-dev 0.8 (Closes: #627384)
    + [0787020] Exclude libgdk-win32 moduleref
    + [597f885] Cherry-pick liblastfmfpbridge dllmap
    + [94a7827] Exclude glibsharpglue-2 moduleref
    + [f042731] Cherry-pick patch to fix gstreamer dllimport
  * [b83b3e2] Use dh_gencontrol -- -V for substvars

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 14 Jun 2011 02:31:33 +0800

banshee-community-extensions (2.0.1-2) UNRELEASED; urgency=low

  * [ea79349] Build-dep on dbus# instead of ndesk-dbus
  * [353fb83] Forward port to DBus#
  * [98b5b34] Add autoreconf
  * [a83884a] Bump build-dep on Banshee to 2.1.0
  * [0f06608] Backport upstream patch to fix autoreconf
  * [e1773a6] Use upstream autogen.sh with dh_autoreconf

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 28 May 2011 19:34:16 +0800
