=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
 Uploaders: Chow Loong Jin <hyperair@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
-               dh-autoreconf,
-               libgconf2-dev,
                cli-common-dev (>= 0.5.7),
                mono-devel (>= 2.4.2.3),
                autotools-dev,
+               dh-autoreconf,
+               libgconf2-dev,
                lsb-release,
-               banshee (>= 2.0.1-2~),
+               banshee (>= 2.1.0),
                pkg-config,
                libglib2.0-dev,
                libfftw3-dev,
