=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 include /usr/share/cli-common/cli.make
 
 BANSHEE_VERSION = $(shell pkg-config --modversion banshee-thickclient)
+
+override_dh_autoreconf:
+	ln -s debian/autogen.sh
+	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
 # disable zeitgeistdataprovider and lirc due to dependencies missing
 override_dh_auto_configure:
@@ -41,22 +45,15 @@
 	find debian/tmp -name '*.la' -o -name '*.a' -delete
 
 override_dh_gencontrol:
-	for pkg in `sed -n 's/^Package: //p' debian/control`; do \
-		echo "banshee:Version=$(BANSHEE_VERSION)" >> debian/$$pkg.substvars; \
-	done
-	dh_gencontrol
+	dh_gencontrol -- -Vbanshee:Version=$(BANSHEE_VERSION)
 
 override_dh_makeclilibs:		# do nothing -- we do not want clilibs to come
                                 # from anything, and especially not clutterflow.
 
-override_dh_autoreconf: autogen.sh
-	NOCONFIGURE=1 dh_autoreconf ./autogen.sh --
-
-autogen.sh: debian/autogen.sh
-	ln -s $< $@
-
-clean:
-	rm -f autogen.sh
+override_dh_clideps:
+	dh_clideps \
+		--exclude-moduleref=libgdk-win32-2.0-0.dll \
+		--exclude-moduleref=glibsharpglue-2
 
 %:
-	dh $@ --with=autoreconf
+	dh --with=autoreconf $@
