## banshee-community-extensions 2.2.0

=== debian/changelog ===
banshee-community-extensions (2.2.0-3) unstable; urgency=low

  * [fb763e7] Cherry-pick LiveRadio crash-fix (LP: #881902)
  * [004bc6f] Update email address
  * [4a7215b] Drop clutterflow extension
    clutter-gtk-sharp has been disabled due to the removal of
    clutter-gtk-0.10/libchamplain-0.8. Clutterflow also does not work, causing a
    huge memory leak that causes the system to thrash in about a minute or so.
    Thanks to Michael Biebl (Closes: #648429) (LP: #738486)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 27 Jan 2012 13:04:54 +0800

banshee-community-extensions (2.2.0-2) unstable; urgency=low

  * Upload rebuild for CLR 4.0 transition
  * [a57bfe0] Don't use deprecated cli.make, instead use the cli sequence

 -- Iain Lane <laney@debian.org>  Tue, 24 Jan 2012 11:15:01 +0000

banshee-community-extensions (2.2.0-1) unstable; urgency=low

  * [4940fab] Imported Upstream version 2.2.0
    + Notable bug fixes:
      - Karaoke: Fix crash when switching to Now Playing
      - Lyrics: Fix crash when switching to Now Playing

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 20 Sep 2011 18:45:46 +0800

banshee-community-extensions (2.1.4-1) experimental; urgency=low

  * [233bb9c] Imported Upstream version 2.1.4
    + Enhancements since 2.1.3:
      - DuplicateSongDetector: Add toggling by activating row
      - DuplicateSongDetector: Add a refresh and close button to the toolbar
      - OpenVP: Add new "Spectrum Scan" and "Spectrum Rain" visualizations
      - OpenVP: Make "Scaled Voiceprint" visualization look nicer (bgo#658304)
    + Notable bugs fixed since 2.1.3:
      - ClutterFlow: Fix crash when searching (bgo#658334)
      - StreamRecorder: Fix files not being split by metadata
        (bgo#656339, LP: #824393)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 09 Sep 2011 09:38:07 +0800

banshee-community-extensions (2.1.3-1) experimental; urgency=low

  * [7f6490e] Enable lirc package
  * [11e79bc] Imported Upstream version 2.1.3
    + New extensions:
      - AlbumArtWriter: Write album art to the folder containing the music files
      - DuplicateSongDetector: Detect and remove duplicate songs in your library
    + Enhancements:
      - Mirage: Re-enable rescan and reset methods (bgo#653826)
      - OpenVP: Add a new "Scaled Voiceprint" visualization
    + Notable bugs fixed:
      - RandomByLastfm: Do not query Last.fm when offline (bgo#634785)
      - LastfmFingerprint: Build only if enabled in the build (bgo#657013)
  * [6cfc562] Add Album Art Writer and Duplicate Song Detection extensions
  * [85d613c] Drop upstreamed patches
  * [4c4630f] No change Standards-Version bump (3.9.1 → 3.9.1)
  * [bc88cbf] Fix deletion of .la files

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 27 Aug 2011 22:45:56 +0800
