=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: sound
 Priority: optional
 Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
-Uploaders: Chow Loong Jin <hyperair@ubuntu.com>
+Uploaders: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
+               dh-autoreconf,
+               libgconf2-dev,
                cli-common-dev (>= 0.5.7),
                mono-devel (>= 2.4.2.3),
                autotools-dev,
-               dh-autoreconf,
-               libgconf2-dev,
                lsb-release,
                banshee (>= 2.1.0),
                pkg-config,
+               liblircclient-dev (>= 0.8.6),
                libglib2.0-dev,
                libfftw3-dev,
                libsqlite3-dev (>= 3.3),
@@ -32,10 +33,8 @@
                libtaoframework-sdl-cil-dev (>= 1.2.13),
                mono-jay,
                gnome-doc-utils (>= 0.17.3),
-               libclutter-cil-dev,
-               libclutter-gtk-cil-dev,
                libzeitgeist-cil-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/banshee-community-extensions.git
 Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/banshee-community-extensions.git
 Homepage: http://gitorious.org/banshee-community-extensions
@@ -44,13 +43,15 @@
 Architecture: all
 Enhances: banshee
 Recommends: banshee-extension-alarm (>= ${source:Version}),
+            banshee-extension-albumartwriter (>= ${source:Version}),
             banshee-extension-ampache (>= ${source:Version}),
             banshee-extension-awn (>= ${source:Version}),
             banshee-extension-coverwallpaper (>= ${source:Version}),
-            banshee-extension-clutterflow (>= ${source:Version}),
+            banshee-extension-duplicatesongdetector (>= ${source:Version}),
             banshee-extension-jamendo (>= ${source:Version}),
             banshee-extension-lastfmfingerprint (>= ${source:Version}),
             banshee-extension-lcd (>= ${source:Version}),
+            banshee-extension-lirc (>= ${source:Version}),
             banshee-extension-liveradio (>= ${source:Version}),
             banshee-extension-lyrics (>= ${source:Version}),
             banshee-extension-magnatune (>= ${source:Version}),
@@ -91,6 +92,17 @@
  .
  Banshee is a media management and playback application for the GNOME desktop.
 
+Package: banshee-extension-albumartwriter
+Enhances: banshee
+Architecture: all
+Depends: banshee-extensions-common (= ${source:Version}),
+         ${cli:Depends}, ${misc:Depends}
+Description: Album art writer extension for Banshee
+ This package contains the Album Art Writer extension for Banshee which writes
+ album art from the cache to the folder containing the music files.
+ .
+ Banshee is a media management and playback application for the GNOME desktop.
+
 Package: banshee-extension-ampache
 Enhances: banshee
 Architecture: all
@@ -115,16 +127,6 @@
  .
  Banshee is a media management and playback application for the GNOME desktop.
 
-Package: banshee-extension-clutterflow
-Architecture: all
-Depends: banshee-extensions-common (= ${source:Version}),
-         ${cli:Depends}, ${misc:Depends}
-Description: CoverFlow functionality for Banshee
- This package provides a clone of the CoverFlow functionality for
- Banshee using the Clutter toolkit.
- .
- Banshee is a media management and playback application for the GNOME desktop.
-
 Package: banshee-extension-coverwallpaper
 Enhances: banshee
 Architecture: all
@@ -133,6 +135,16 @@
 Description: Cover wallpaper extension for Banshee
  CoverWallpaper is an extension for Banshee which automatically sets the
  desktop wallpaper to the cover art of the currently playing media.
+ .
+ Banshee is a media management and playback application for the GNOME desktop.
+
+Package: banshee-extension-duplicatesongdetector
+Architecture: all
+Depends: banshee-extensions-common (= ${source:Version}),
+         ${cli:Depends}, ${misc:Depends}
+Description: Duplicate song detector extension for Banshee
+ This package adds duplicate song detection to Banshee, allowing it to detect
+ and remove duplicate songs in your library.
  .
  Banshee is a media management and playback application for the GNOME desktop.
 
@@ -181,6 +193,17 @@
 Description: LCD display integration extension for Banshee
  This package provides integration with LCD displays for Banshee using the
  lcdproc display driver daemon.
+ .
+ Banshee is a media management and playback application for the GNOME desktop.
+
+Package: banshee-extension-lirc
+Architecture: any
+Depends: banshee-extensions-common (= ${source:Version}),
+         lirc,
+         ${shlibs:Depends}, ${cli:Depends}, ${misc:Depends}
+Description: LIRC integration extension for Banshee
+ This package provides LIRC integration for Banshee, which will allow Banshee to
+ be controlled using an infra-red device.
  .
  Banshee is a media management and playback application for the GNOME desktop.
 
@@ -258,29 +281,3 @@
  This package contains an extension for Banshee which adds various
  visualizations to the Now Playing source in Banshee.
  .
- Banshee is a media management and playback application for the GNOME desktop.
-
-Package: banshee-extension-radiostationfetcher
-Enhances: banshee
-Architecture: all
-Depends: banshee-extensions-common (= ${source:Version}),
-         ${cli:Depends}, ${misc:Depends}
-Description: radio station fetcher extension for Banshee
- This package contains an extension for Banshee which adds radio station
- fetching functionality for Banshee. Radio stations are fetched from:
-  * http://www.shoutcast.com
-  * http://www.xiph.org
- .
- Banshee is a media management and playback application for the GNOME desktop.
-
-Package: banshee-extension-randombylastfm
-Enhances: banshee
-Architecture: all
-Depends: banshee-extensions-common (= ${source:Version}),
-         ${cli:Depends}, ${misc:Depends}
-Description: Random By Last.FM extension for Banshee
- This package provide additional integration between Last.FM and Banshee,
- providing a new random mode which queries Last.FM for a list of similar artists
- to the song you are currently playing, then compares that list with your
- library to pick only artists that match.
- .
