=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

BANSHEE_VERSION = $(shell pkg-config --modversion banshee-thickclient)

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-vendor-build-id="`lsb_release -ds`" \
		--enable-gnome \
		--enable-schemas-install \
		--enable-alarmclock \
		--enable-albumartwriter \
		--enable-ampache \
		--disable-appindicator \
		--enable-awn \
		--disable-clutterflow \
		--enable-coverwallpaper \
		--enable-duplicatesongdetector \
		--enable-jamendo \
		--enable-karaoke \
		--enable-lastfmfingerprint \
		--enable-lcd \
		--enable-lirc \
		--enable-lyrics \
		--enable-liveradio \
		--enable-magnatune \
		--enable-mirage \
		--enable-openvp \
		--enable-radiostationfetcher \
		--enable-randombylastfm \
		--enable-streamrecorder \
		--enable-telepathy \
		--enable-zeitgeistdataprovider \
		--disable-shave \
		--enable-user-help \
		MCS=/usr/bin/mono-csc

override_dh_auto_install:
	dh_auto_install
	find debian/tmp \( -name '*.la' -o -name '*.a' \) -delete

override_dh_gencontrol:
	dh_gencontrol -- -Vbanshee:Version=$(BANSHEE_VERSION)

override_dh_makeclilibs:		# do nothing -- we do not want clilibs to come
                                # from anything, and especially not clutterflow.

override_dh_autoreconf: autogen.sh
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh --

autogen.sh: debian/autogen.sh
	ln -s $< $@

clean:
	rm -f autogen.sh

override_dh_clideps:
	dh_clideps \
		--exclude-moduleref=libgdk-win32-2.0-0.dll \
		--exclude-moduleref=glibsharpglue-2

%:
	dh $@ --with cli,autoreconf
